@import url("https://fonts.googleapis.com/css2?family=Inter:ital,opsz,wght@0,14..32,100..900;1,14..32,100..900&display=swap");

/* MAIN */
body {
  width: 100%;
  height: 100vh;
  font-family: "inter", sans-serif;
  display: flex;
  flex-direction: column;
  gap: var(--spacing-xxlarge);
  color: var(--color-primary-back);
}

main {
  width: 100%;
  flex-grow: 1;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
}

/* QUIZ */
.quiz {
  width: 100%;
  max-width: 750px;
}

.quiz__question-title {
  padding: 0 var(--spacing-large) 0 var(--spacing-large);
  font-size: var(--font-size-xlarge);
  font-weight: 300;
}

.quiz__answers-container {
  padding: var(--spacing-large);
  margin: var(--spacing-large);
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  grid-template-rows: 1fr 1fr auto;
  gap: var(--spacing-medium);
  border-radius: 1rem;
  background-color: var(--color-light-gray);
}

.quiz__answer {
  position: relative;
  padding: var(--spacing-small) var(--spacing-medium);
  border: 2px solid var(--color-medium-gray);
  border-radius: 0.5rem;
  cursor: pointer;
  display: flex;
  align-items: center;
  gap: var(--gap);
}

.quiz__answer--active {
  color: var(--color-primary-blue);
  background-color: var(--color-secondary-blue);
  border-color: var(--color-primary-blue);
}

.quiz__answer--correct {
  color: var(--color-primary-green);
  background-color: var(--color-secondary-green);
  border-color: var(--color-primary-green);
}

.quiz__answer--correctIndicator {
  color: var(--color-primary-yellow);
  background-color: var(--color-secondary-yellow);
  border-color: var(--color-primary-yellow);
}

.quiz__answer--wrong {
  color: var(--color-primary-red);
  background-color: var(--color-secondary-red);
  border-color: var(--color-primary-red);
}

.quiz__answer0 {
  grid-column: 1 / 2;
  grid-row: 1 / 2;
}
.quiz__answer1 {
  grid-column: 2 / 3;
  grid-row: 1 / 2;
}
.quiz__answer2 {
  grid-column: 1 / 2;
  grid-row: 2 / 3;
}
.quiz__answer3 {
  grid-column: 2 / 3;
  grid-row: 2 / 3;
}

.quiz__next-button {
  width: calc(50% - (var(--gap) / 2) - (var(--spacing-large)) * 2);
  margin: 0 calc(var(--spacing-large) * 2);
  padding: var(--spacing-small) var(--spacing-medium);
  border-radius: var(--spacing-small);
  color: var(--color-primary-white);
  background-color: var(--color-primary-back);
  font-size: inherit;
}

/* SUMMERY */
.quiz__summery-title {
  padding: 0 var(--spacing-large) var(--spacing-xlarge) var(--spacing-large);
  font-size: var(--font-size-xxlarge);
  text-align: center;
}

.quiz__summery-description {
  max-width: 750px;
  padding: 0 var(--spacing-large) var(--spacing-xlarge) var(--spacing-large);
  font-weight: 400;
  font-style: italic;
}

.quiz__review-button {
  padding: var(--spacing-small) var(--spacing-small);
  margin-bottom: var(--spacing-large);
  font-size: var(--font-size-large);
  color: var(--color-primary-white);
  background-color: var(--color-primary-back);
  border-radius: var(--spacing-small);
}

.quiz__answer-feedback-text {
  grid-column: 1/3;
  grid-row: 3/4;
  font-weight: 700;
}

.quiz__answer-feedback-text--correct {
  color: var(--color-primary-green);
}

.quiz__answer-feedback-text--wrong {
  color: var(--color-primary-red);
}

@media screen and (max-width: 480px) {
  .quiz__summery-title {
    padding: 0 var(--spacing-large) var(--spacing-xlarge) var(--spacing-large);
    font-size: var(--font-size-xlarge);
    text-align: center;
  }

  .quiz__question-title {
    font-size: var(--font-size-xlarge);
  }

  .quiz__answers-container {
    grid-template-columns: 1fr;
    grid-template-rows: repeat(4, 1fr) auto;
  }

  .quiz__answer1 {
    grid-column: 1 / 2;
    grid-row: 1 / 2;
  }
  .quiz__answer2 {
    grid-column: 1 / 2;
    grid-row: 2 / 3;
  }
  .quiz__answer3 {
    grid-column: 1 / 2;
    grid-row: 3 / 4;
  }
  .quiz__answer4 {
    grid-column: 1 / 2;
    grid-row: 4 / 5;
  }

  .quiz__answer-feedback-text {
    grid-column: 1/2;
    grid-row: 5/6;
    font-weight: 700;
  }
}
